## kitty 0.36.4

=== debian/changelog ===
kitty (0.36.4-3) unstable; urgency=medium

  * Avoid raising exception on missing fonts on CI
  * Add patch to use dbus_try_get_local_machine_id (Closes: #1085337)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 18 Oct 2024 22:22:19 +0530

kitty (0.36.4-2) unstable; urgency=medium

  [ Guillem Jover ]
  * Do not hardcode gopsutil v3 (Closes: #1083118)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 02 Oct 2024 16:04:06 +0530

kitty (0.36.4-1) unstable; urgency=medium

  * New upstream version 0.36.4 (Refresh patch)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 28 Sep 2024 12:17:37 +0530

kitty (0.36.1-1) unstable; urgency=medium

  * New upstream version 0.36.1
   + Update copyright and patches
  * Embed NERD fonts since it is not currently available in Debian
  * Move all external stuff to debian/external
  * Update debian/source/include-binaries to allow vendoring ttf file
  * Remove uthash from copyright (no longer in upstream source)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 24 Aug 2024 14:56:47 +0530

## kitty 0.37.0

=== debian/changelog ===
kitty (0.37.0-1) unstable; urgency=medium

  * New upstream version 0.37.0 (Refresh patches)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 24 Nov 2024 11:39:37 +0530

## kitty 0.38.1

=== debian/changelog ===
kitty (0.38.1-1) unstable; urgency=medium

  * New upstream version 0.38.1

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sat, 04 Jan 2025 15:23:42 +0800

## kitty 0.39.0

=== debian/changelog ===
kitty (0.39.0-1) unstable; urgency=medium

  * New upstream version 0.39.0

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sat, 18 Jan 2025 21:07:50 +0800

## kitty 0.39.1

=== debian/changelog ===
kitty (0.39.1-1) unstable; urgency=medium

  * New upstream version 0.39.1
  * Get rid of a patch for removing install
    instructions, address it in d/clean
  * Refresh patches

 -- Nilesh Patra <nilesh@debian.org>  Sun, 16 Feb 2025 15:52:43 +0530

=== debian/control ===
Source: kitty
Priority: optional
Maintainer: Nilesh Patra <nilesh@debian.org>
Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
Section: x11
Standards-Version: 4.7.0
Rules-Requires-Root: no
XS-Go-Import-Path: kitty
Homepage: https://sw.kovidgoyal.net/kitty/
Vcs-Git: https://salsa.debian.org/debian/kitty.git
Vcs-Browser: https://salsa.debian.org/debian/kitty
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-golang,
 golang-any (>= 2:1.22~),
 golang-github-altree-bigfloat-dev,
 golang-github-alecthomas-chroma-v2-dev,
 golang-github-bmatcuk-doublestar-dev (>= 4),
# golang-github-disintegration-imaging-dev,
 golang-github-dlclark-regexp2-dev,
 golang-github-edwvee-exiffix-dev,
 golang-github-google-go-cmp-dev,
 golang-github-google-uuid-dev,
 golang-github-seancfoley-ipaddress-go-dev,
 golang-github-shirou-gopsutil-dev,
 golang-github-zeebo-xxh3-dev,
 golang-golang-x-exp-dev (>= 0.0~git20230801),
 golang-golang-x-image-dev,
 golang-golang-x-sys-dev,
 golang-howett-plist-dev,
 fish <!nocheck>,
 furo <!nodoc>,
 libdbus-1-dev,
 libfontconfig-dev,
 libfreetype-dev,
 libgl-dev,
 libglvnd-dev,
 libharfbuzz-dev,
 liblcms2-dev,
 libpng-dev,
 librsync-dev,
 libsimde-dev,
 libssl-dev,
 libx11-xcb-dev,
 libxcursor-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbcommon-x11-dev,
 libxrandr-dev,
 libxxhash-dev,
 libwayland-dev [linux-any],
 locales,
 locales-all,
 pkgconf,
 python3-dev,
 python3-pil <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-inline-tabs <!nodoc>,
 python3-sphinxext-opengraph <!nodoc>,
 wayland-protocols [linux-any],
 zlib1g-dev,
 zsh <!nocheck>

Package: kitty
Architecture: any
Depends:
 kitty-shell-integration,
 kitty-terminfo,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 kitty-doc,
# To play the "beep" sound for the terminal
 libcanberra0
Suggests:
# For tui kitten
 imagemagick,
 fonts-noto-color-emoji
Provides:
 x-terminal-emulator
Built-Using: ${misc:Built-Using},
             ${simde:Built-Using}
Description: fast, featureful, GPU based terminal emulator
 Kitty supports modern terminal features like: graphics, unicode,
 true-color, OpenType ligatures, mouse protocol, focus tracking, and
 bracketed paste.
 .
 Kitty has a framework for "kittens", small terminal programs that can be used
 to extend its functionality.

Package: kitty-terminfo
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: fast, featureful, GPU based terminal emulator (terminfo file)
 This package provides the xterm-kitty terminfo definition for the kitty
 terminal emulator so that it can easily be installed on remote systems.

Package: kitty-shell-integration
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: fast, featureful, GPU based terminal emulator (shell integration files)
 This package provides Kitty's shell-integration files so that it can easily
 be installed on remote systems.

Package: kitty-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Built-Using:
 ${sphinxdoc:Built-Using},
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: fast, featureful, GPU based terminal emulator (documentation)
 This package contains the AsciiDoc/HTML documentation for the kitty terminal
 emulator.

=== debian/rules ===
#!/usr/bin/make -f
# vim: noexpandtab shiftwidth=4 softtabstop=0

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

OVERRIDE_CFLAGS = $(CFLAGS) -DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
OVERRIDE_CPPFLAGS = $(CPPFLAGS)
OVERRIDE_LDFLAGS = $(LDFLAGS)
export OVERRIDE_CFLAGS OVERRIDE_CPPFLAGS OVERRIDE_LDFLAGS

V=
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	V=--verbose
endif

HOME = $(CURDIR)/debian/fakehome
KITTY_RUNTIME_DIRECTORY = $(CURDIR)/debian/fakeruntime

SRCDIR = $(CURDIR)

GOPATH = $(CURDIR)/_build
GO_BUILDDIR = $(GOPATH)/src
GO111MODULE = off
export GOPATH GO111MODULE
# export DH_GOLANG_INSTALL_EXTRA := gen-go-code.py terminfo shell-integration tools/unicode_names/names.txt
# export DH_GOLANG_BUILDPKG := kitty/tools/cmd
export DH_GOLANG_INSTALL_ALL := 1

%:
	dh $@ --with python3 --with sphinxdoc

override_dh_auto_clean:
	python3 setup.py $(V) clean
	dh_auto_clean --buildsystem=golang -O--builddirectory=_build

override_dh_auto_configure:
	cp -r $(CURDIR)/debian/external/vendor/ $(CURDIR)/
	cp -r $(CURDIR)/debian/external/fonts $(CURDIR)/
	dh_auto_configure -O--with=python3 -O--with=sphinxdoc
	dh_auto_configure -O--buildsystem=golang -O--builddirectory=_build

override_dh_auto_build:
	env HOME="$(HOME)" python3 setup.py $(V) linux-package --skip-building-kitten
	cp $(CURDIR)/kitty/docs_ref_map_generated.h $(GO_BUILDDIR)/kitty/kitty
	cp $(CURDIR)/kitty/uniforms_generated.h $(GO_BUILDDIR)/kitty/kitty
	cd $(GO_BUILDDIR)/kitty && \
		$(CURDIR)/linux-package/bin/kitty +launch gen/go_code.py
	GOPATH="$(GOPATH)" go build -trimpath -v -ldflags '-s -w' -o $(CURDIR)/linux-package/bin/kitten kitty/tools/cmd
	ln -s $(CURDIR)/linux-package/bin/kitten $(CURDIR)/kitty/launcher/kitten
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) docs
endif

override_dh_auto_test:
	mkdir -p "$(HOME)"
	mkdir -p "$(KITTY_RUNTIME_DIRECTORY)"
	# Run python tests
	GOPATH="$(GOPATH)" HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" python3 setup.py $(V) build-launcher --skip-building-kitten --skip-code-generation
	LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 GOPATH="$(GOPATH)" HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" python3 setup.py $(V) test
	# Run Golang tests
	KITTY_PATH_TO_KITTY_EXE="$(CURDIR)/kitty/launcher/kitty" dh_auto_test -O--buildsystem=golang -O--builddirectory=_build
	rm -f $(CURDIR)/kitty/launcher/kitten

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr
	cp -a linux-package/* $(CURDIR)/debian/tmp/usr/
	# Man pages
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man5
	cp $(CURDIR)/docs/_build/man/*.1 $(CURDIR)/debian/tmp/usr/share/man/man1
	cp $(CURDIR)/docs/_build/man/*.5 $(CURDIR)/debian/tmp/usr/share/man/man5
	# HTML docs
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/kitty
	cp -r $(CURDIR)/docs/_build/html $(CURDIR)/debian/tmp/usr/share/doc/kitty/html
	# Replace shebangs in Python files
	sed -i -e "s%#\!/usr/bin/env python$$%#\!/usr/bin/env python3%g" `find $(CURDIR)/debian/tmp/usr/lib/kitty -type f -name "*.py"`

override_dh_install:
	dh_install -Nkitty-shell-integration -Xlib/kitty/shell-integration
	dh_install -pkitty-shell-integration

override_dh_installdocs:
	dh_installdocs
	# Remove PayPal's tracking pixel
	[ ! -d debian/kitty-doc ] || sed -i '/pixel\.gif/d' debian/kitty-doc/usr/share/doc/kitty/html/support.html

override_dh_python3:
	dh_python3 --no-ext-rename
	dh_golang -O--buildsystem=golang -O--builddirectory=_build

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

override_dh_compress:
	dh_compress -X/html

override_dh_gencontrol:
	dh_gencontrol -- -Vsimde:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")"

## kitty 0.41.1

=== 3rdparty/base64/lib/tables/Makefile ===
.PHONY: all clean

TARGETS := table_dec_32bit.h table_enc_12bit.h table_generator

all: $(TARGETS)

clean:
	$(RM) $(TARGETS)

table_dec_32bit.h: table_generator
	./$^ > $@

table_enc_12bit.h: table_enc_12bit.py
	./$^ > $@

table_generator: table_generator.c
	$(CC) $(CFLAGS) -o $@ $^

=== debian/changelog ===
kitty (0.41.1-2) unstable; urgency=medium

  * Backport upstream patch to fixup FTBFS on s390x
  * Update patch to avoid privacy breach

 -- Nilesh Patra <nilesh@debian.org>  Thu, 05 Jun 2025 20:39:21 +0530

kitty (0.41.1-1) unstable; urgency=medium

  * New upstream version 0.41.1 (Closes: #1103691)
    + Addresses: CVE-2025-43929
  * Refresh patches
  * Add -tags testing to dh_auto_test so go:build testing files get picked up

 -- Nilesh Patra <nilesh@debian.org>  Sat, 26 Apr 2025 12:17:24 +0530

kitty (0.40.0-1) unstable; urgency=medium

  * New upstream version 0.40.0
  * Revert move to vendored fork of imaging, use original disintegration/imaging
  * Update my maintenance email
  * Refresh patches
  * Add libcairo2-dev to Build-Depends
  * Patch to use disintegration/imaging
  * d/copyright: Replace FSF address with URL in LGPL-2.1+ stanza
  * Bump Standards-Version to 4.7.2

 -- Maytham Alsudany <maytham@debian.org>  Mon, 17 Mar 2025 15:22:06 +0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kitty
 Priority: optional
 Maintainer: Nilesh Patra <nilesh@debian.org>
-Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
+Uploaders: Maytham Alsudany <maytham@debian.org>
 Section: x11
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 XS-Go-Import-Path: kitty
 Homepage: https://sw.kovidgoyal.net/kitty/
@@ -17,7 +17,7 @@
  golang-github-altree-bigfloat-dev,
  golang-github-alecthomas-chroma-v2-dev,
  golang-github-bmatcuk-doublestar-dev (>= 4),
-# golang-github-disintegration-imaging-dev,
+ golang-github-disintegration-imaging-dev,
  golang-github-dlclark-regexp2-dev,
  golang-github-edwvee-exiffix-dev,
  golang-github-google-go-cmp-dev,
@@ -31,6 +31,7 @@
  golang-howett-plist-dev,
  fish <!nocheck>,
  furo <!nodoc>,
+ libcairo2-dev,
  libdbus-1-dev,
  libfontconfig-dev,
  libfreetype-dev,

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,6 @@
 	dh_auto_clean --buildsystem=golang -O--builddirectory=_build
 
 override_dh_auto_configure:
-	cp -r $(CURDIR)/debian/external/vendor/ $(CURDIR)/
 	cp -r $(CURDIR)/debian/external/fonts $(CURDIR)/
 	dh_auto_configure -O--with=python3 -O--with=sphinxdoc
 	dh_auto_configure -O--buildsystem=golang -O--builddirectory=_build
@@ -60,7 +59,7 @@
 	GOPATH="$(GOPATH)" HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" python3 setup.py $(V) build-launcher --skip-building-kitten --skip-code-generation
 	LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 GOPATH="$(GOPATH)" HOME="$(HOME)" KITTY_RUNTIME_DIRECTORY="$(KITTY_RUNTIME_DIRECTORY)" python3 setup.py $(V) test
 	# Run Golang tests
-	KITTY_PATH_TO_KITTY_EXE="$(CURDIR)/kitty/launcher/kitty" dh_auto_test -O--buildsystem=golang -O--builddirectory=_build
+	KITTY_PATH_TO_KITTY_EXE="$(CURDIR)/kitty/launcher/kitty" dh_auto_test -O--buildsystem=golang -O--builddirectory=_build -- -tags testing
 	rm -f $(CURDIR)/kitty/launcher/kitten
 
 override_dh_auto_install:

## kitty 0.42.1

=== debian/changelog ===
kitty (0.42.1-1) experimental; urgency=medium

  * New upstream version 0.42.1
  * Refresh patches
  * Update import path to github.com/kovidgoyal/kitty

 -- Maytham Alsudany <maytham@debian.org>  Tue, 15 Jul 2025 18:32:15 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: x11
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-XS-Go-Import-Path: kitty
+XS-Go-Import-Path: github.com/kovidgoyal/kitty
 Homepage: https://sw.kovidgoyal.net/kitty/
 Vcs-Git: https://salsa.debian.org/debian/kitty.git
 Vcs-Browser: https://salsa.debian.org/debian/kitty

=== debian/rules ===
--- 
+++ 
@@ -42,11 +42,11 @@
 
 override_dh_auto_build:
 	env HOME="$(HOME)" python3 setup.py $(V) linux-package --skip-building-kitten
-	cp $(CURDIR)/kitty/docs_ref_map_generated.h $(GO_BUILDDIR)/kitty/kitty
-	cp $(CURDIR)/kitty/uniforms_generated.h $(GO_BUILDDIR)/kitty/kitty
-	cd $(GO_BUILDDIR)/kitty && \
+	cp $(CURDIR)/kitty/docs_ref_map_generated.h $(GO_BUILDDIR)/github.com/kovidgoyal/kitty/kitty
+	cp $(CURDIR)/kitty/uniforms_generated.h $(GO_BUILDDIR)/github.com/kovidgoyal/kitty/kitty
+	cd $(GO_BUILDDIR)/github.com/kovidgoyal/kitty && \
 		$(CURDIR)/linux-package/bin/kitty +launch gen/go_code.py
-	GOPATH="$(GOPATH)" go build -trimpath -v -ldflags '-s -w' -o $(CURDIR)/linux-package/bin/kitten kitty/tools/cmd
+	GOPATH="$(GOPATH)" go build -trimpath -v -ldflags '-s -w' -o $(CURDIR)/linux-package/bin/kitten github.com/kovidgoyal/kitty/tools/cmd
 	ln -s $(CURDIR)/linux-package/bin/kitten $(CURDIR)/kitty/launcher/kitten
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) docs

## kitty 0.42.2

=== debian/changelog ===
kitty (0.42.2-1) unstable; urgency=medium

  [ Maytham Alsudany ]
  * New upstream version 0.42.2

  [ Nilesh Patra ]
  * Tighten B-D on golang-github-disintegration-imaging-dev
  * Revert "Patch to use github.com/godbus/dbus instead of fork"
  * Vendor forked module for now until changes are picked up.
    Opened https://github.com/godbus/dbus/issues/414 to let godbus upstream know
    and ask to pickup patches.
  * Add vendor module information in d/copyright
  * Copy vendor dir in source root in dh_auto_configure step
  * Update d/watch to use Version 5
  * Drop Rules-Requires-Root field

 -- Nilesh Patra <nilesh@debian.org>  Sat, 27 Sep 2025 23:20:45 +0530

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Uploaders: Maytham Alsudany <maytham@debian.org>
 Section: x11
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/kovidgoyal/kitty
 Homepage: https://sw.kovidgoyal.net/kitty/
 Vcs-Git: https://salsa.debian.org/debian/kitty.git
@@ -17,7 +16,7 @@
  golang-github-altree-bigfloat-dev,
  golang-github-alecthomas-chroma-v2-dev,
  golang-github-bmatcuk-doublestar-dev (>= 4),
- golang-github-disintegration-imaging-dev,
+ golang-github-disintegration-imaging-dev (>= 1.6.2-3~),
  golang-github-dlclark-regexp2-dev,
  golang-github-edwvee-exiffix-dev,
  golang-github-google-go-cmp-dev,

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,7 @@
 
 override_dh_auto_configure:
 	cp -r $(CURDIR)/debian/external/fonts $(CURDIR)/
+	cp -r $(CURDIR)/debian/vendor $(CURDIR)/
 	dh_auto_configure -O--with=python3 -O--with=sphinxdoc
 	dh_auto_configure -O--buildsystem=golang -O--builddirectory=_build

## kitty 0.43.1

=== Makefile ===
ifdef V
	VVAL=--verbose
endif
ifdef VERBOSE
	VVAL=--verbose
endif

ifdef FAIL_WARN
export FAIL_WARN
endif

all:
	python3 setup.py $(VVAL)

test:
	python3 setup.py $(VVAL) test

clean:
	python3 setup.py $(VVAL) clean

# A debug build
debug:
	python3 setup.py build $(VVAL) --debug

debug-event-loop:
	python3 setup.py build $(VVAL) --debug --extra-logging=event-loop

# Build with the ASAN and UBSAN sanitizers
asan:
	python3 setup.py build $(VVAL) --debug --sanitize

profile:
	python3 setup.py build $(VVAL) --profile

app:
	python3 setup.py kitty.app $(VVAL)

linux-package: FORCE
	rm -rf linux-package
	python3 setup.py linux-package

FORCE:

man:
	$(MAKE) -C docs man

html:
	$(MAKE) -C docs html

dirhtml:
	$(MAKE) -C docs dirhtml

linkcheck:
	$(MAKE) -C docs linkcheck

website:
	./publish.py --only website

docs: man html


develop-docs:
	$(MAKE) -C docs develop-docs


prepare-for-cross-compile: clean all
	python3 setup.py $(VVAL) clean --clean-for-cross-compile

cross-compile:
	python3 setup.py linux-package --skip-code-generation

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

ifdef FAIL_WARN
override FAIL_WARN=-W
endif

# You can set these variables from the command line.
SPHINXOPTS    = -n -q -j auto -T $(FAIL_WARN) $(OPTS)
SPHINXBUILD   = sphinx-build
SPHINXAUTOBUILD = sphinx-autobuild
SPHINXPROJ    = kitty
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)


develop-docs:
	$(SPHINXAUTOBUILD) --ignore "$(abspath $(SOURCEDIR))/generated/*" --watch ../kitty --watch ../kittens -b dirhtml "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS)

=== docs/requirements.txt ===
sphinx
furo
sphinx-copybutton
sphinxext-opengraph
sphinx-inline-tabs
sphinx-autobuild

=== debian/changelog ===
kitty (0.43.1-1) unstable; urgency=medium

  * New upstream version 0.43.1
  * Vendor github.com/kovidgoyal/imaging
  * Add patch to use golang-github-edwvee-exiffix instead of fork

 -- Nilesh Patra <nilesh@debian.org>  Sat, 18 Oct 2025 20:28:18 +0530

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  golang-github-altree-bigfloat-dev,
  golang-github-alecthomas-chroma-v2-dev,
  golang-github-bmatcuk-doublestar-dev (>= 4),
- golang-github-disintegration-imaging-dev (>= 1.6.2-3~),
  golang-github-dlclark-regexp2-dev,
  golang-github-edwvee-exiffix-dev,
  golang-github-google-go-cmp-dev,

=== debian/watch ===
Version: 5

Template: Github
Owner: kovidgoyal
Project: kitty

## kitty 0.44.0

=== debian/changelog ===
kitty (0.44.0-1) unstable; urgency=medium

  * New upstream version 0.44.0 (Closes: #1118705)
    + Re-diff patches
  * Backport upstream patch to fixup fish integration tests
  * Vendor go-parallel
  * Update version of imaging fork

 -- Nilesh Patra <nilesh@debian.org>  Wed, 26 Nov 2025 20:38:15 +0530

## kitty 0.45.0

=== docs/requirements.txt ===
# sphinx-inline-tabs breaks with sphinx >= 9
sphinx <= 8.2.3
furo
sphinx-copybutton
sphinxext-opengraph
sphinx-inline-tabs
sphinx-autobuild
matplotlib

=== debian/changelog ===
kitty (0.45.0-2) unstable; urgency=medium

  * Team Upload.
  * Bump Standards-Version to 4.7.3 (no changes needed)
  * Add upstream patch to fix FTBFS with glibc 2.43 (Closes: #1128552)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 23 Feb 2026 01:05:06 +0530

kitty (0.45.0-1) unstable; urgency=medium

  * New upstream version 0.45.0
    - Drop un-needed patches
    - Re-diff patches
  * Vendor duratime and go-shm
  * Update versions of imaging and go-parallel (vendored deps)
  * Add patch to avoid hard-coding toolchain

 -- Nilesh Patra <nilesh@debian.org>  Sat, 03 Jan 2026 01:47:34 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Nilesh Patra <nilesh@debian.org>
 Uploaders: Maytham Alsudany <maytham@debian.org>
 Section: x11
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 XS-Go-Import-Path: github.com/kovidgoyal/kitty
 Homepage: https://sw.kovidgoyal.net/kitty/
 Vcs-Git: https://salsa.debian.org/debian/kitty.git
@@ -17,11 +17,14 @@
  golang-github-alecthomas-chroma-v2-dev,
  golang-github-bmatcuk-doublestar-dev (>= 4),
  golang-github-dlclark-regexp2-dev,
- golang-github-edwvee-exiffix-dev,
  golang-github-google-go-cmp-dev,
  golang-github-google-uuid-dev,
+ golang-github-klauspost-compress-dev,
+ golang-github-nwaples-rardecode-dev,
+ golang-github-rwcarlsen-goexif-dev,
  golang-github-seancfoley-ipaddress-go-dev,
  golang-github-shirou-gopsutil-dev,
+ golang-github-ulikunitz-xz-dev,
  golang-github-zeebo-xxh3-dev,
  golang-golang-x-exp-dev (>= 0.0~git20230801),
  golang-golang-x-image-dev,
